Skip to content

Apply

Request

When the Business Application object has been completed, along with Related Party Applications and Document Requests (see the Onboarding Businesses Guide), call this endpoint to submit the business application for review.

Security
HTTPBearer
Path
application_idstring, (uuid)(Application Id)required
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X POST \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/business-applications/{application_id}/apply/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
idstring, (uuid)(Id)required
time_createdstring, (date-time)(Time Created)required
updated_atstring, (date-time)(Updated At)required
exception_reasonsArray of strings(Exception Reasons)
Default:[]
customer_idstring or null(Customer Id)
Any of:

null until application status is APPROVED

string (uuid)
namestring or null(Name)
Any of:
string
entity_typestring or null(Entity Type)
Any of:
string
Enum:"SOLE_PROPRIETOR""CORPORATE""LLC""PARTNERSHIP""INCORPORATED_ASSOCIATION""UNINCORPORATED_ASSOCIATION""REGULATED_FINANCIAL_INSTITUTION""NON_BANK_FINANCIAL_INSTITUTION""NON_PROFIT""SPECIAL_PURPOSE_ACQUISITION_COMPANY"
doing_business_asstring or null(Doing Business As)
Any of:
string
identification_numberBusinessIdentificationNumber (object) or null
Any of:
addressISOAddress (object) or null
Any of:
websitestring or null(Website)
Any of:
string
contactBusinessContact (object) or null
Any of:
formation_datestring or null(Formation Date)
Any of:
string
risk_infoRiskInfo (object) or null
Any of:
industryIndustryInfo (object) or null
Any of:
statusstring(Status)required
Enum:"CREATED""SUBMITTED""CLOSED""APPROVED""REJECTED""MANUAL_REVIEW""DOCUMENTS_NEEDED""PENDING"
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "time_created": "2023-01-01T12:00:00Z", "updated_at": "2023-01-01T12:00:00Z", "status": "SUBMITTED", "exception_reasons": [], "name": "Jiko Group, Inc.", "entity_type": "CORPORATE", "doing_business_as": "Jiko", "identification_number": { "identification_number": "987654321", "issuing_country": "US", "type": "EIN" }, "address": { "street_address": "101 Mission Street", "street_address2": "7th Floor", "city": "San Francisco", "postal_code": "94105", "state": "CA", "country": "US" }, "website": "https://www.jiko.com", "contact": { "name": {}, "phone_number": "+15551234567", "email": "contact@jiko.com" }, "formation_date": "2017-01-04", "risk_info": { "risk_categories": [], "has_current_enforcement_actions": false, "business_activity_location": "PRIMARILY_US", "source_of_funds": "INTERNAL_FUNDS", "account_usage": "MONEY_STORAGE", "annual_revenue": "PRE_REVENUE", "monthly_transactions": "5_OR_LESS", "first_month_deposit": "1M_OR_LESS" }, "industry": { "industry": "ACCOUNTING_AND_BOOKKEEPING" }, "agreement_consent": { "version": "1", "timestamp": "2023-01-01T12:00:00Z" } }